REM  
REM   This batch file utilizes the ALARM utility in conjunction with the 
REM   TIME_CHK, DATE_CHK and WEEKDAY programs to remind you to vote on 
REM   election day (The first Tuesday after the first Monday in November).  
REM   It will also recognize if it is too late to vote (polls close at 
REM   8:00 PM).  
REM  
ECHO Off
REM   If its not Tuesday, its not election day
WEEKDAY Tuesday
IF ERRORLEVEL 1 GOTO ALL_DONE
REM   If its the 2nd of November, it IS election day
DATE_CHK 11/02/00
IF NOT ERRORLEVEL 1 GOTO VOTE
REM   If its the 3rd of November, it IS election day
DATE_CHK 11/03/00
IF NOT ERRORLEVEL 1 GOTO VOTE
REM   If its the 4th of November, it IS election day
DATE_CHK 11/04/00
IF NOT ERRORLEVEL 1 GOTO VOTE
REM   If its the 5th of November, it IS election day
DATE_CHK 11/05/00
IF NOT ERRORLEVEL 1 GOTO VOTE
REM   If its the 6th of November, it IS election day
DATE_CHK 11/06/00
IF NOT ERRORLEVEL 1 GOTO VOTE
REM   If its the 7th of November, it IS election day
DATE_CHK 11/07/00
IF NOT ERRORLEVEL 1 GOTO VOTE
REM   If its not the 8th of November, its not election day
DATE_CHK 11/08/00
IF ERRORLEVEL 1 GOTO ALL_DONE
:VOTE
REM   It is election day
ECHO Today is Election Day!!
REM   If its after 8:00 PM, the polls have closed
TIME_CHK 20:00
IF ERRORLEVEL 1 GOTO CLOSED
REM   Set alarm to remind you to vote at 7:30 PM (19:30 Military Time)
ALARM 5=19:30/"Time to Vote!"
GOTO ALL_DONE
:CLOSED
REM   The polls have closed
ECHO  but The Polls have Closed
:ALL_DONE

